import React from "react";
import "../../css/app.scss";
import "../../css/styles.scss";
import { ExcalidrawAPIRefValue, ExcalidrawProps } from "../../types";
import Footer from "../../components/footer/FooterCenter";
import MainMenu from "../../components/main-menu/MainMenu";
import WelcomeScreen from "../../components/welcome-screen/WelcomeScreen";
import LiveCollaborationTrigger from "../../components/live-collaboration/LiveCollaborationTrigger";
type PublicExcalidrawProps = Omit<ExcalidrawProps, "forwardedRef">;
export declare const Excalidraw: React.MemoExoticComponent<React.ForwardRefExoticComponent<PublicExcalidrawProps & React.RefAttributes<ExcalidrawAPIRefValue>>>;
export { getSceneVersion, isInvisiblySmallElement, getNonDeletedElements, } from "../../element";
export { defaultLang, useI18n, languages } from "../../i18n";
export { restore, restoreAppState, restoreElements, restoreLibraryItems, } from "../../data/restore";
export { exportToCanvas, exportToBlob, exportToSvg, serializeAsJSON, serializeLibraryAsJSON, loadLibraryFromBlob, loadFromBlob, loadSceneOrLibraryFromBlob, getFreeDrawSvgPath, exportToClipboard, mergeLibraryItems, } from "../../packages/utils";
export { isLinearElement } from "../../element/typeChecks";
export { THEME, MIME_TYPES } from "../../constants";
declare const FONT_FAMILY: {
    [key: string]: string | number;
};
export { FONT_FAMILY };
export { mutateElement, newElementWith, bumpVersion, } from "../../element/mutateElement";
export { parseLibraryTokensFromUrl, useHandleLibrary, } from "../../data/library";
export { sceneCoordsToViewportCoords, viewportCoordsToSceneCoords, } from "../../utils";
export { Sidebar } from "../../components/Sidebar/Sidebar";
export { Button } from "../../components/Button";
export { Footer };
export { MainMenu };
export { useDevice } from "../../components/App";
export { WelcomeScreen };
export { LiveCollaborationTrigger };
export { DefaultSidebar } from "../../components/DefaultSidebar";
